/*
Core

Testing GatewaysAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package coreapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/coreapi"
)

func Test_coreapi_GatewaysAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test GatewaysAPIService CreateDraftGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.GatewaysAPI.CreateDraftGateway(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService CreateGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.GatewaysAPI.CreateGateway(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService DeleteGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		httpRes, err := apiClient.GatewaysAPI.DeleteGateway(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService GetGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		resp, httpRes, err := apiClient.GatewaysAPI.GetGateway(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService GetGatewaysConnections", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.GatewaysAPI.GetGatewaysConnections(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService GetMessengerSettings", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		resp, httpRes, err := apiClient.GatewaysAPI.GetMessengerSettings(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService ListGateways", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.GatewaysAPI.ListGateways(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService PatchGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		resp, httpRes, err := apiClient.GatewaysAPI.PatchGateway(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService UpdateGateway", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		resp, httpRes, err := apiClient.GatewaysAPI.UpdateGateway(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GatewaysAPIService UpdateMessengerSettings", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var gatewayId string

		resp, httpRes, err := apiClient.GatewaysAPI.UpdateMessengerSettings(context.Background(), gatewayId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
